posix_lock_file_wait
Prev | File Locks | Next

## Name

posix_lock_file_wait — Apply a POSIX-style lock to a file

## Synopsis

`int posix_lock_file_wait (` | struct file * | filp,
| struct file_lock * | fl`)`;

## Arguments

`filp`

  The file to apply the lock to

`fl`

  The lock to be applied

## Description

Add a POSIX style lock to a file. We merge adjacent & overlapping locks whenever possible. POSIX locks are sorted by owner task, then by starting address

Prev | Up | Next
posix_lock_file | Home | locks_mandatory_area